## ZpjSkydriveFile ZpjSkydriveFile — Skydrive file object. |

## Synopsis

    #include <zpj/zpj.h>

    struct              ZpjSkydriveFile;
    struct              ZpjSkydriveFileClass;
    goffset             zpj_skydrive_file_get_size          (ZpjSkydriveFile *self);
    ZpjSkydriveEntry *  zpj_skydrive_file_new               (JsonNode *node);

## Object Hierarchy

      GObject
       +----ZpjSkydriveEntry
             +----ZpjSkydriveFile
                   +----ZpjSkydrivePhoto

## Properties

      "size"                     gint64                : Read

## Description

ZpjSkydriveFile represents a Skydrive file object.

## Details

### struct ZpjSkydriveFile

    struct ZpjSkydriveFile;

The ZpjSkydriveFile structure contains only private data and should only be accessed using the provided API.

### struct ZpjSkydriveFileClass

    struct ZpjSkydriveFileClass {
      ZpjSkydriveEntryClass parent_class;
    };

Class structure for ZpjSkydriveFile.

ZpjSkydriveEntryClass `parent_class`; | The parent class.

### zpj_skydrive_file_get_size ()

    goffset             zpj_skydrive_file_get_size          (ZpjSkydriveFile *self);

Gets the size of `self` in bytes. This is the value of the size member in the JSON returned by the server.

`self` : | A ZpjSkydriveFile.
Returns : | The entry's size in bytes.

### zpj_skydrive_file_new ()

    ZpjSkydriveEntry *  zpj_skydrive_file_new               (JsonNode *node);

Creates a new ZpjSkydriveFile from the given `node`. If you already know the ID of the file then you can use `zpj_skydrive_query_info_from_id()`.

`node` : | A JsonNode returned by the server.
Returns : | A new ZpjSkydriveFile. Free the returned object with `g_object_unref()`. [transfer full]

## Property Details

### The `"size"` property

      "size"                     gint64                : Read

Size of the file in bytes.

Allowed values: >= -1

Default value: -1